Page MenuHomePhabricator

Librarize TestingAccessWrapper
Closed, ResolvedPublic

Description

TestingAccessWrapper has been moved to wikimedia/testing-access-wrapper, core/extensions need to be updated.

Event Timeline

Tgr created this task.Apr 20 2017, 11:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 11:31 AM
Tgr added a comment.Apr 20 2017, 11:54 AM

Jenkins seems to have tied itself into a knot over the switch from \TestingAccessWrapper to \Wikimedia\TestingAccessWrapper:

  • extension tests ignore the extension's composer.json and just use core/vendor (see mw-fetch-composer-dev.sh)
  • core patches run a couple extension tests as well, which fail
  • DonationInterface tests run with 1.27 core. (The tests pass, I have no idea why.)

The first two should be solvable by splitting up the core patch. Not sure what should be done about DonationInterface though.

Change 349163 merged by jenkins-bot:
[mediawiki/core@master] Switch to librarized version of TestingAccessWrapper

https://gerrit.wikimedia.org/r/349163

Change 349103 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349103

Change 349105 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349105

Change 349104 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349104

Change 349100 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349100

Change 349093 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349093

Change 349099 merged by jenkins-bot:
[mediawiki/extensions/EmailAuth@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349099

Change 349098 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349098

Change 349165 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349165

Change 349088 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349088

Change 349094 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349094

Change 349097 merged by jenkins-bot:
[mediawiki/extensions/PageViewInfo@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349097

Change 349095 merged by jenkins-bot:
[mediawiki/extensions/Gadgets@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349095

Change 349473 merged by jenkins-bot:
[mediawiki/core@REL1_27] Add wikimedia/testing-access-wrapper

https://gerrit.wikimedia.org/r/349473

Change 349474 merged by jenkins-bot:
[mediawiki/core@REL1_28] Add wikimedia/testing-access-wrapper

https://gerrit.wikimedia.org/r/349474

Krinkle moved this task from Untriaged to In Dev on the Librarization board.Apr 30 2017, 8:25 PM

Change 349101 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349101

hashar removed a subscriber: hashar.May 1 2017, 4:58 PM

Change 349209 merged by jenkins-bot:
[mediawiki/core@master] Remove TestingAccessWrapper class (now available via composer)

https://gerrit.wikimedia.org/r/349209

Tgr closed this task as Resolved.EditedMay 23 2017, 8:50 AM
Tgr claimed this task.

All merged except DonationInterface which is related to fundraising and those extensions have their own release cadence. We can call this done.

Tgr added a comment.May 23 2017, 8:54 AM

Relevant patchsets which were not tagged with this task:

Change 349092 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Switch TestingAccessWrapper to librarized version

https://gerrit.wikimedia.org/r/349092